Bug 104035 - events getting ignored by syslgod
Summary: events getting ignored by syslgod
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysklogd (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-09 10:15 UTC by Bastien Nocera
Modified: 2007-04-18 16:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-04 23:42:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bastien Nocera 2003-09-09 10:15:20 UTC
Add an entry at the top of /etc/syslogd.conf:
kern.*   /var/log/kernel

Restart syslog:
service syslog restart

logger -p kern.warn "Warning test"

The "Warning test" doesn't get logged in /var/log/kernel, although the file is
created. A "*.*" entry will log this message to /var/log/kernel fine.

Comment 1 Jason Vas Dias 2004-08-04 23:42:07 UTC
Messages generated by 
  logger -p kern.warn "Warning test"
are handled by syslogd as user messages and get logged to
/var/log/messages.

Genuine kernel messages, from the kernel, are handled by klogd
and 'kern.warn' messages would be redirected to /var/log/kernel
by 'kern.warn /var/log/kernel' in syslog.conf.


Note You need to log in before you can comment on or make changes to this bug.